Name:           glite-lb-types
Version:        2.0.10
Release:        2%{?dist}
Summary:        Auxiliary build-time component defining LB event types and job status fields

License:        ASL 2.0
URL:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lb.types/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}.


%prep
%setup -q


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib}
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc ChangeLog LICENSE
%dir %{_datadir}/glite-lb/
%dir %{_datadir}/glite-lb/at3/
%dir %{perl_vendorlib}/
%dir %{perl_vendorlib}/gLite/
%dir %{perl_vendorlib}/gLite/LB/
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/lb/
%{_bindir}/glite-lb-at3
%{_bindir}/glite-lb-check_version.pl
%{_includedir}/glite/lb/*
%{perl_vendorlib}/gLite/LB/StructField.pm
%{perl_vendorlib}/gLite/LB/MultiStruct.pm
%{_datadir}/glite-lb/at3/events.T
%{_datadir}/glite-lb/at3/status.T
%{_datadir}/glite-lb/at3/types.T


%changelog
* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.0.10-2
- Perl 5.20 rebuild

* Thu Jun 26 2014 František Dvořák <valtri@civ.zcu.cz> - 2.0.10-1
- New release 2.0.10 (L&B 4.1.2)
- Consistent style with buildroot macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 31 2014 František Dvořák <valtri@civ.zcu.cz> - 2.0.9-1
- New release 2.0.9 (L&B 4.1.1)

* Fri Nov 22 2013 František Dvořák <valtri@civ.zcu.cz> - 2.0.8-1
- New release 2.0.8 (L&B 4.0.12)
- Enabled parallel build

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 2.0.7-3
- Perl 5.18 rebuild

* Thu Jun 27 2013 František Dvořák <valtri@civ.zcu.cz> - 2.0.7-2
- Add perl build dependencies

* Tue Jun 25 2013 František Dvořák <valtri@civ.zcu.cz> - 2.0.7-1
- Initial package
